libname DoL 'C:\Users\Rebecca\OneDrive - Actuarial Research Corporation\Documents\DOL\CPS Tool\Tool Data Files\July 2023 (Mar22)\SAS';

*adding variable labels;
data DoL.Mar22_v4;
	set DoL.Mar22_v4;
	label 	phseq ="Household Sequence Number"
			hnumper ="Number of Persons in Household"
			alineno ="Person Line Number"
			povll ="CPS Family Poverty Indicator"
			esiph ="ESI policy holder?"
			esidep ="ESI dependent?"
			ophiph ="Other private health insurance policy holder?"
			ophidep ="Other private health insurance dependent?"
			exchange ="Enrolled in health exchange (for persons with OPHI coverage)"
			nmcaid ="Covered by Medicaid?"
			nmcare ="Covered by Medicare?"
			champ= "Covered by Military?"
			other ="Covered by Other?"
			chipp ="Covered by Childrens Health Insurance?"
			unins ="No Health Coverage?"
			outtyp ="Coverage from outside of household?"
			concurr ="Concurrent coverage last year?"
			subsidy ="Any subsidized marketplace coverage last year?"
			pitesiph ="Point in Time ESI policy holder?"
			pitesidep ="Point in Time ESI dependent?"
			pitophiph ="Point in Time Other private health insurance policy holder?"
			pitophidep ="Point in Time Other private health insurance dependent?"
			pitexchange ="Point in Time enrolled in health exchange?"
			pitnmcaid ="Point in Time Covered by Medicaid?"
			pitnmcare ="Point in Time Covered by Medicare?"
			pitchamp ="Point in Time Covered by Military?"
			pitother ="Point in Time Covered by Other?"
			pitchipp ="Point in Time Covered by Childrens Health Insurance?"
			pitunins ="Point in Time Uninsured?"
			pitouttyp ="Point in Time coverage from outside of household?"
			pitsubsidy ="Point in time any subsidized marketplace coverage?"
			marsupwt ="March Supplement Weight"
			newwt_lastyr ="March Supplement Weight, 0 if infant"
			offer ="Does your employer offer Health Insurance?"
			prior ="Do you have ESI through a Prior Employer? (policyholders only)"
			newsector ="What sector is providing coverage?"
			newsize ="What size employer provided the coverage?"
			eeprior ="Coverage through a prior employer (dependents only, attribute of policyholder)"
			phline ="Line# (A-LINENO) of first PH (deps who aren't ESI PH only)"
			siflag ="Was coverage fully-insured or self-insured?"
			hmoflag ="What type of plan are you covered by?"
			newsize_200 ="What size employer provided the coverage (with split at 200)?"
			level ="Was coverage for smaller employer (<200) level-funded?"
			funding2 ="Was coverage self/level- insured or fully-insured?"
			retflag ="Is prior coverage retiree or COBRA? (universe is PRIOR=1 or EEPRIOR=1)"
			newsector2 ="Sector of dependent coverage (for those with ESI as both PH and dependent)"
			newsize2 ="Size of employer covering dep coverage (for those with ESI as both PH and dep)"
			newsize2_200 ="Size of employer covering dep cov (for ESI as both PH and dep), break at 200"
			union ="Coverage through union? (for ESI Policy holders only, non-self-employed)"
			eeunion ="Coverage through a union? (for ESI deps only, based on PH attribute)"
			unionwork ="Union? (for non-self-employed workers only, current employment status)"
			av ="Actuarial Value  (active ESI policy holder records only)"
			avcellavg ="Cell based average actuarial value (active ESI policy holder records only)"
			avplantype="Plan type used for AVs?"
			mspflag ="Medicare Secondary Payer variable (all Medicare)"
			oopexp ="OOP expenditures on OTC purchases and medical equipment (POTC-VAL + PMED-VAL)"
			oldstate ="Old State Variable"
			mcdexpan ="Is person in a Medicaid expansion state (for all persons)"
			empsize ="Edited employer size variable - state & federal mapped to 1000+ (all workers)" ;
run;

